<template>
  <!-- 优惠活动 -->
  <view class="container">
    <view class="penny-parking" v-if="id == 1">
      <view class="penny-parking-icon"></view>
      <view class="penny-parking-content">
        <view>使用贵州银行支付可一分钱停车</view>
        <view
          >从客户启用贵州银行行卡支付的第四个月开始，使用我行卡支付永久享受八折优惠（单日不限次数）。时间计算同上。三个月最后一天，假如车主跨天的话，拆分账单计算：三个月内一分钱或八折，三个月外时段八折。
        </view>
        <view>如果停车场、路边停车位有{{ free_time }}分钟内等免费政策的，我行客户自然享受后再按“一分钱停车”、“八折停车”执行。</view>
        <view>
          <button type="default" class="btn1" @click="openAcount">银行卡开户</button>
        </view>
      </view>
    </view>
    <view class="eighty-percent-of-parking" v-if="id == 2">
      <view class="penny-parking-icon"></view>
      <view class="penny-parking-content">
        <view>使用贵州银行支付可享永久八折优惠</view>
        <view
          >从客户启用贵州银行行卡支付的第四个月开始，使用我行卡支付永久享受八折优惠（单日不限次数）。时间计算同上。三个月最后一天，假如车主跨天的话，拆分账单计算：三个月内一分钱或八折，三个月外时段八折。
        </view>
        <view>如果停车场、路边停车位有{{ free_time }}分钟内等免费政策的，我行客户自然享受后再按“一分钱停车”、“八折停车”执行。</view>
        <view>
          <button type="default" class="btn2" @click="openAcount">银行卡开户</button>
        </view>
      </view>
    </view>
    <u-toast ref="uToast" />
  </view>
</template>

<script>
export default {
  data() {
    return {
      id: ''
    };
  },
  onLoad(page) {
    if (page.title) {
      uni.setNavigationBarTitle({
        title: page.title
      });
      this.id = page.id;
    } else {
      uni.setNavigationBarTitle({
        title: '一分钱停车'
      });
      this.id = 1;
    }
  },
  onShow() {},
  methods: {
    openAcount() {
      this.$refs.uToast.show({
        title: '该功能尚未开发',
        type: 'warning'
      });
    }
  }
};
</script>
<style lang="scss" scoped>
@import './favourableActivity.scss';
</style>
